Как узнать, какая версия спецификации j2ee использует websphere?

Вопрос:

Я хотел бы знать, какая версия спецификации j2ee предоставляется моим сервером приложений Websphere (традиционным, а не Liberty). К сожалению, я не знаю, где найти такую информацию. Версия WAS

WebSphere Platform 8.5.5.11 [BASE 8.5.5.11 cf111649.01] [IBMJAVA8 8.0.3.20 cf111647.02]

Лучший ответ:

Соответственно, IBM doc должен быть версии 6.

Полный список находится здесь: https://www.ibm.com/support/knowledgecenter/en/SSAW57_8.5.5/com.ibm.websphere.nd.doc/ae/rovr_specs.html

Ответ №1

OP спросил о традиционной базе 8.5.5 WebSphere Application Server, окончательным ответом является JEE6, как указано в этом документе IBM KnowledgeCenter. WAS традиционный v9 привносит уровень спецификации в EE7, как указано здесь. Liberty, как отмечено в этом документе KnowledgeCenter, поддерживает JEE7 с версии 8.5.5.6. Указанный выше документ Oracle проверяет, что WAS Liberty сертифицирован JEE7 от 8.5.5.6, а WAS традиционный — от версии 9.

Ответ №2

Ваша версия совместима с Java EE 7 и сертифицирована Oracle. Вы можете увидеть это на странице http://www.oracle.com/technetwork/java/javaee/overview/compatibility-jsp-136984.html, в которой перечислены все сертифицированные сервером Java EE.

Оцените статью
TechArks.Ru
Добавить комментарий